Reporting
The Smart Payments Platform provides endpoints for reporting information.
Transaction reports allow you to search for previous transactions using different parameters and filtering options to query the response.
Settlement reports provide settlement data from your connector (where supported), contributing to your reconciliation processes.
Transaction reports
Transaction reports allow you to retrieve detailed transactional data from the platform. The information retrieved relates to transactions processed by the system and you can filter using different parameters and options. Use the links below to go to the relevant option for your use case.
Get transaction by ID
The id is a unique payment identifier generated by the system. If this identifier is available, you can use it to query the platform by adding it directly to the URL.
Sample request:
https://sandbox-card.peachpayments.com/v3/query/8ac7a4a1845f7e19018461a00b366a74
curl -G https://sandbox-card.peachpayments.com/v3/query/{id} \
-d "entityId=8a8294174b7ecb28014b9699220015ca" \
-H "Authorization: Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg="public Dictionary<string, dynamic> Request() {
Dictionary<string, dynamic> responseData;
string data="entityId=8a8294174b7ecb28014b9699220015ca";
string url = "https://sandbox-card.peachpayments.com/v3/query/{id}?" + data;
HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(url);
request.Method = "GET";
request.Headers["Authorization"] = "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=";
using (HttpWebResponse response = (HttpWebResponse)request.GetResponse())
{
Stream dataStream = response.GetResponseStream();
StreamReader reader = new StreamReader(dataStream);
var s = new JavaScriptSerializer();
responseData = s.Deserialize<Dictionary<string, dynamic>>(reader.ReadToEnd());
reader.Close();
dataStream.Close();
}
return responseData;
}
responseData = Request()["result"]["description"];import groovy.json.JsonSlurper
public static String request() {
def data = "entityId=8a8294174b7ecb28014b9699220015ca"
def url = ("https://sandbox-card.peachpayments.com/v3/query/{id}?" + data).toURL()
def connection = url.openConnection()
connection.setRequestMethod("GET")
connection.setRequestProperty("Authorization","Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
def json = new JsonSlurper().parseText(connection.inputStream.text)
json
}
println request()private String request() throws IOException {
URL url = new URL("https://sandbox-card.peachpayments.com/v3/query/{id}?entityId=8a8294174b7ecb28014b9699220015ca");
HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=");
int responseCode = conn.getResponseCode();
InputStream is;
if (responseCode >= 400) is = conn.getErrorStream();
else is = conn.getInputStream();
return IOUtils.toString(is);
}const https = require('https');
const querystring = require('querystring');
const request = async () => {
var path='/v3/query/{id}';
path += '?entityId=8a8294174b7ecb28014b9699220015ca';
const options = {
port: 443,
host: 'sandbox-card.peachpayments.com',
path: path,
method: 'GET',
headers: {
'Authorization':'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
}
};
return new Promise((resolve, reject) => {
const postRequest = https.request(options, function(res) {
const buf = [];
res.on('data', chunk => {
buf.push(Buffer.from(chunk));
});
res.on('end', () => {
const jsonString = Buffer.concat(buf).toString('utf8');
try {
resolve(JSON.parse(jsonString));
} catch (error) {
reject(error);
}
});
});
postRequest.on('error', reject);
postRequest.end();
});
};
request().then(console.log).catch(console.error);function request() {
$url = "https://sandbox-card.peachpayments.com/v3/query/{id}";
$url .= "?entityId=8a8294174b7ecb28014b9699220015ca";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
'Authorization:Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='));
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$responseData = curl_exec($ch);
if(curl_errno($ch)) {
return curl_error($ch);
}
curl_close($ch);
return $responseData;
}
$responseData = request();try:
from urllib.parse import urlencode
from urllib.request import build_opener, Request, HTTPHandler
from urllib.error import HTTPError, URLError
except ImportError:
from urllib import urlencode
from urllib2 import build_opener, Request, HTTPHandler, HTTPError, URLError
import json
def request():
url = "https://sandbox-card.peachpayments.com/v3/query/{id}"
url += '?entityId=8a8294174b7ecb28014b9699220015ca'
try:
opener = build_opener(HTTPHandler)
request = Request(url, data=b'')
request.add_header('Authorization', 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=')
request.get_method = lambda: 'GET'
response = opener.open(request)
return json.loads(response.read())
except HTTPError as e:
return json.loads(e.read())
except URLError as e:
return e.reason
responseData = request()
print(responseData)require 'net/https'
require 'uri'
require 'json'
def request()
path = ("?entityId=8a8294174b7ecb28014b9699220015ca")
uri = URI.parse('https://sandbox-card.peachpayments.com/v3/query/{id}' + path)
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
res = http.request(req)
return JSON.parse(res.body)
end
puts request()def initialPayment : String = {
val url = "https://sandbox-card.peachpayments.com/v3/query/{id}"
url +="?entityId=8a8294174b7ecb28014b9699220015ca"
val conn = new URL(url).openConnection()
conn match {
case secureConn: HttpsURLConnection => secureConn.setRequestMethod("GET")
case _ => throw new ClassCastException
}
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
conn.connect()
if (conn.getResponseCode() >= 400) {
return IOUtils.toString(conn.getErrorStream())
}
else {
return IOUtils.toString(conn.getInputStream())
}
}Public Function Request() As Dictionary(Of String, Object)
Dim url As String = "https://sandbox-card.peachpayments.com/v3/query/{id}" +
"?entityId=8a8294174b7ecb28014b9699220015ca"
Dim req As WebRequest = WebRequest.Create(url)
req.Method = "GET"
req.Headers.Add("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
req.ContentType = "application/x-www-form-urlencoded"
Dim res As WebResponse = req.GetResponse()
Dim resStream = res.GetResponseStream()
Dim reader As New StreamReader(resStream)
Dim response As String = reader.ReadToEnd()
reader.Close()
resStream.Close()
res.Close()
Dim jss As New System.Web.Script.Serialization.JavaScriptSerializer()
Dim dict As Dictionary(Of String, Object) = jss.Deserialize(Of Dictionary(Of String, Object))(response)
Return dict
End Function
responseData = Request()("result")("description"){
"result":{
"code":"000.000.100",
"description":"successful request"
},
"buildNumber":"9092e7a6af8301accda2f9a3a38f743f907dadd5@2026-03-23 16:50:06 +0000",
"timestamp":"2026-03-26 16:29:15+0000",
"ndc":"8a8294174b7ecb28014b9699220015ca_da0a029fcc244e11bb4591cc2e5eb52a",
"records":[
{
"id":"8ac7a4a1845f7e19018461a00b366a74",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"92.00",
"currency":"EUR",
"descriptor":"8542.1130.3025 OPP_Channel",
"result":{
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"clearingInstituteName":"Elavon-euroconex_UK_Test"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Jane Jones",
"expiryMonth":"05",
"expiryYear":"2034",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"threeDSecure":{
"eci":"07"
},
"customParameters":{
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true"
},
"risk":{
"score":"100"
},
"timestamp":"2022-11-10 12:59:49.520+0000"
}
]
}Advanced options
Extra parameters are available for advanced filtering and retrieving transactions linked to the original one:
includeLinkedTransactions: Set totrueto return all transactions linked to the original. Default:false.paymentTypes: Filter by payment types (for example,paymentTypes=PA,CP,RV).paymentMethods: Filter by payment methods (for example,paymentMethods=CC,DC).
See API reference for more details.
Sample request:
https://sandbox-card.peachpayments.com/v3/query/8ac7a4a1845f7e19018461a00b366a74
curl -G https://sandbox-card.peachpayments.com/v3/query/{id} \
-d "includeLinkedTransactions=true" \
-d "paymentTypes=DB,3D" \
-d "entityId=8a8294174b7ecb28014b9699220015ca" \
-H "Authorization: Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg="public Dictionary<string, dynamic> Request() {
Dictionary<string, dynamic> responseData;
string data="includeLinkedTransactions=true" +
"&paymentTypes=DB,3D" +
"&entityId=8a8294174b7ecb28014b9699220015ca";
string url = "https://sandbox-card.peachpayments.com/v3/query/{id}?" + data;
HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(url);
request.Method = "GET";
request.Headers["Authorization"] = "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=";
using (HttpWebResponse response = (HttpWebResponse)request.GetResponse())
{
Stream dataStream = response.GetResponseStream();
StreamReader reader = new StreamReader(dataStream);
var s = new JavaScriptSerializer();
responseData = s.Deserialize<Dictionary<string, dynamic>>(reader.ReadToEnd());
reader.Close();
dataStream.Close();
}
return responseData;
}
responseData = Request()["result"]["description"];import groovy.json.JsonSlurper
public static String request() {
def data = "includeLinkedTransactions=true" +
"&paymentTypes=DB,3D" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
def url = ("https://sandbox-card.peachpayments.com/v3/query/{id}?" + data).toURL()
def connection = url.openConnection()
connection.setRequestMethod("GET")
connection.setRequestProperty("Authorization","Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
def json = new JsonSlurper().parseText(connection.inputStream.text)
json
}
println request()private String request() throws IOException {
URL url = new URL("https://sandbox-card.peachpayments.com/v3/query/{id}?includeLinkedTransactions=true +
&paymentTypes=DB,3D +
&entityId=8a8294174b7ecb28014b9699220015ca");
HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=");
int responseCode = conn.getResponseCode();
InputStream is;
if (responseCode >= 400) is = conn.getErrorStream();
else is = conn.getInputStream();
return IOUtils.toString(is);
}const https = require('https');
const querystring = require('querystring');
const request = async () => {
var path='/v3/query/{id}';
path += '?includeLinkedTransactions=true';
path += '&paymentTypes=DB,3D';
path += '&entityId=8a8294174b7ecb28014b9699220015ca';
const options = {
port: 443,
host: 'sandbox-card.peachpayments.com',
path: path,
method: 'GET',
headers: {
'Authorization':'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
}
};
return new Promise((resolve, reject) => {
const postRequest = https.request(options, function(res) {
const buf = [];
res.on('data', chunk => {
buf.push(Buffer.from(chunk));
});
res.on('end', () => {
const jsonString = Buffer.concat(buf).toString('utf8');
try {
resolve(JSON.parse(jsonString));
} catch (error) {
reject(error);
}
});
});
postRequest.on('error', reject);
postRequest.end();
});
};
request().then(console.log).catch(console.error);function request() {
$url = "https://sandbox-card.peachpayments.com/v3/query/{id}";
$url .= "?includeLinkedTransactions=true";
$url .= "&paymentTypes=DB,3D";
$url .= "&entityId=8a8294174b7ecb28014b9699220015ca";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
'Authorization:Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='));
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$responseData = curl_exec($ch);
if(curl_errno($ch)) {
return curl_error($ch);
}
curl_close($ch);
return $responseData;
}
$responseData = request();try:
from urllib.parse import urlencode
from urllib.request import build_opener, Request, HTTPHandler
from urllib.error import HTTPError, URLError
except ImportError:
from urllib import urlencode
from urllib2 import build_opener, Request, HTTPHandler, HTTPError, URLError
import json
def request():
url = "https://sandbox-card.peachpayments.com/v3/query/{id}"
url += '?includeLinkedTransactions=true'
url += '&paymentTypes=DB,3D'
url += '&entityId=8a8294174b7ecb28014b9699220015ca'
try:
opener = build_opener(HTTPHandler)
request = Request(url, data=b'')
request.add_header('Authorization', 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=')
request.get_method = lambda: 'GET'
response = opener.open(request)
return json.loads(response.read())
except HTTPError as e:
return json.loads(e.read())
except URLError as e:
return e.reason
responseData = request()
print(responseData)require 'net/https'
require 'uri'
require 'json'
def request()
path = ("?includeLinkedTransactions=true" +
"&paymentTypes=DB,3D" +
"&entityId=8a8294174b7ecb28014b9699220015ca")
uri = URI.parse('https://sandbox-card.peachpayments.com/v3/query/{id}' + path)
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
res = http.request(req)
return JSON.parse(res.body)
end
puts request()def initialPayment : String = {
val url = "https://sandbox-card.peachpayments.com/v3/query/{id}"
url +="?includeLinkedTransactions=true"
url +="&paymentTypes=DB,3D"
url +="&entityId=8a8294174b7ecb28014b9699220015ca"
val conn = new URL(url).openConnection()
conn match {
case secureConn: HttpsURLConnection => secureConn.setRequestMethod("GET")
case _ => throw new ClassCastException
}
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
conn.connect()
if (conn.getResponseCode() >= 400) {
return IOUtils.toString(conn.getErrorStream())
}
else {
return IOUtils.toString(conn.getInputStream())
}
}Public Function Request() As Dictionary(Of String, Object)
Dim url As String = "https://sandbox-card.peachpayments.com/v3/query/{id}" +
"?includeLinkedTransactions=true" +
"&paymentTypes=DB,3D" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
Dim req As WebRequest = WebRequest.Create(url)
req.Method = "GET"
req.Headers.Add("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
req.ContentType = "application/x-www-form-urlencoded"
Dim res As WebResponse = req.GetResponse()
Dim resStream = res.GetResponseStream()
Dim reader As New StreamReader(resStream)
Dim response As String = reader.ReadToEnd()
reader.Close()
resStream.Close()
res.Close()
Dim jss As New System.Web.Script.Serialization.JavaScriptSerializer()
Dim dict As Dictionary(Of String, Object) = jss.Deserialize(Of Dictionary(Of String, Object))(response)
Return dict
End Function
responseData = Request()("result")("description"){
"result":{
"code":"000.000.100",
"description":"successful request"
},
"buildNumber":"9092e7a6af8301accda2f9a3a38f743f907dadd5@2026-03-23 16:50:06 +0000",
"timestamp":"2026-03-26 16:30:40+0000",
"ndc":"8a8294174b7ecb28014b9699220015ca_e0a195b39f3644a58fc434e4486d7d30",
"records":[
{
"id":"8ac7a4a1845f7e19018461a00b366a74",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"92.00",
"currency":"EUR",
"descriptor":"8542.1130.3025 OPP_Channel",
"result":{
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"clearingInstituteName":"Elavon-euroconex_UK_Test"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Jane Jones",
"expiryMonth":"05",
"expiryYear":"2034",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"threeDSecure":{
"eci":"07"
},
"customParameters":{
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true"
},
"risk":{
"score":"100"
},
"timestamp":"2022-11-10 12:59:49.520+0000"
}
]
}Get transaction by short ID
The shortId is a unique identifier per transaction. To retrieve transaction details, include merchantTransactionId or a date range (date.from and date.to) in your request.
Sample request:
curl -G https://sandbox-card.peachpayments.com/v3/query \
-d "merchantTransactionId=test123" \
-d "shortId=1054.0740.5938" \
-d "entityId=8a8294174b7ecb28014b9699220015ca" \
-H "Authorization: Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg="public Dictionary<string, dynamic> Request() {
Dictionary<string, dynamic> responseData;
string data="merchantTransactionId=test123" +
"&shortId=1054.0740.5938" +
"&entityId=8a8294174b7ecb28014b9699220015ca";
string url = "https://sandbox-card.peachpayments.com/v3/query?" + data;
HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(url);
request.Method = "GET";
request.Headers["Authorization"] = "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=";
using (HttpWebResponse response = (HttpWebResponse)request.GetResponse())
{
Stream dataStream = response.GetResponseStream();
StreamReader reader = new StreamReader(dataStream);
var s = new JavaScriptSerializer();
responseData = s.Deserialize<Dictionary<string, dynamic>>(reader.ReadToEnd());
reader.Close();
dataStream.Close();
}
return responseData;
}
responseData = Request()["result"]["description"];import groovy.json.JsonSlurper
public static String request() {
def data = "merchantTransactionId=test123" +
"&shortId=1054.0740.5938" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
def url = ("https://sandbox-card.peachpayments.com/v3/query?" + data).toURL()
def connection = url.openConnection()
connection.setRequestMethod("GET")
connection.setRequestProperty("Authorization","Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
def json = new JsonSlurper().parseText(connection.inputStream.text)
json
}
println request()private String request() throws IOException {
URL url = new URL("https://sandbox-card.peachpayments.com/v3/query?merchantTransactionId=test123 +
&shortId=1054.0740.5938 +
&entityId=8a8294174b7ecb28014b9699220015ca");
HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=");
int responseCode = conn.getResponseCode();
InputStream is;
if (responseCode >= 400) is = conn.getErrorStream();
else is = conn.getInputStream();
return IOUtils.toString(is);
}const https = require('https');
const querystring = require('querystring');
const request = async () => {
var path='/v3/query';
path += '?merchantTransactionId=test123';
path += '&shortId=1054.0740.5938';
path += '&entityId=8a8294174b7ecb28014b9699220015ca';
const options = {
port: 443,
host: 'sandbox-card.peachpayments.com',
path: path,
method: 'GET',
headers: {
'Authorization':'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
}
};
return new Promise((resolve, reject) => {
const postRequest = https.request(options, function(res) {
const buf = [];
res.on('data', chunk => {
buf.push(Buffer.from(chunk));
});
res.on('end', () => {
const jsonString = Buffer.concat(buf).toString('utf8');
try {
resolve(JSON.parse(jsonString));
} catch (error) {
reject(error);
}
});
});
postRequest.on('error', reject);
postRequest.end();
});
};
request().then(console.log).catch(console.error);function request() {
$url = "https://sandbox-card.peachpayments.com/v3/query";
$url .= "?merchantTransactionId=test123";
$url .= "&shortId=1054.0740.5938";
$url .= "&entityId=8a8294174b7ecb28014b9699220015ca";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
'Authorization:Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='));
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$responseData = curl_exec($ch);
if(curl_errno($ch)) {
return curl_error($ch);
}
curl_close($ch);
return $responseData;
}
$responseData = request();try:
from urllib.parse import urlencode
from urllib.request import build_opener, Request, HTTPHandler
from urllib.error import HTTPError, URLError
except ImportError:
from urllib import urlencode
from urllib2 import build_opener, Request, HTTPHandler, HTTPError, URLError
import json
def request():
url = "https://sandbox-card.peachpayments.com/v3/query"
url += '?merchantTransactionId=test123'
url += '&shortId=1054.0740.5938'
url += '&entityId=8a8294174b7ecb28014b9699220015ca'
try:
opener = build_opener(HTTPHandler)
request = Request(url, data=b'')
request.add_header('Authorization', 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=')
request.get_method = lambda: 'GET'
response = opener.open(request)
return json.loads(response.read())
except HTTPError as e:
return json.loads(e.read())
except URLError as e:
return e.reason
responseData = request()
print(responseData)require 'net/https'
require 'uri'
require 'json'
def request()
path = ("?merchantTransactionId=test123" +
"&shortId=1054.0740.5938" +
"&entityId=8a8294174b7ecb28014b9699220015ca")
uri = URI.parse('https://sandbox-card.peachpayments.com/v3/query' + path)
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
res = http.request(req)
return JSON.parse(res.body)
end
puts request()def initialPayment : String = {
val url = "https://sandbox-card.peachpayments.com/v3/query"
url +="?merchantTransactionId=test123"
url +="&shortId=1054.0740.5938"
url +="&entityId=8a8294174b7ecb28014b9699220015ca"
val conn = new URL(url).openConnection()
conn match {
case secureConn: HttpsURLConnection => secureConn.setRequestMethod("GET")
case _ => throw new ClassCastException
}
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
conn.connect()
if (conn.getResponseCode() >= 400) {
return IOUtils.toString(conn.getErrorStream())
}
else {
return IOUtils.toString(conn.getInputStream())
}
}Public Function Request() As Dictionary(Of String, Object)
Dim url As String = "https://sandbox-card.peachpayments.com/v3/query" +
"?merchantTransactionId=test123" +
"&shortId=1054.0740.5938" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
Dim req As WebRequest = WebRequest.Create(url)
req.Method = "GET"
req.Headers.Add("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
req.ContentType = "application/x-www-form-urlencoded"
Dim res As WebResponse = req.GetResponse()
Dim resStream = res.GetResponseStream()
Dim reader As New StreamReader(resStream)
Dim response As String = reader.ReadToEnd()
reader.Close()
resStream.Close()
res.Close()
Dim jss As New System.Web.Script.Serialization.JavaScriptSerializer()
Dim dict As Dictionary(Of String, Object) = jss.Deserialize(Of Dictionary(Of String, Object))(response)
Return dict
End Function
responseData = Request()("result")("description"){
"result":{
"code":"000.000.100",
"description":"successful request"
},
"buildNumber":"9092e7a6af8301accda2f9a3a38f743f907dadd5@2026-03-23 16:50:06 +0000",
"timestamp":"2026-03-26 19:57:53+0000",
"ndc":"8a8294174b7ecb28014b9699220015ca_be01ed22bad14585a2d30a4a50654cff",
"records":[
{
"id":"8ac7a4a1845f7e19018461a00b366a74",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"92.00",
"currency":"EUR",
"descriptor":"8542.1130.3025 OPP_Channel",
"result":{
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"clearingInstituteName":"Elavon-euroconex_UK_Test"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Jane Jones",
"expiryMonth":"05",
"expiryYear":"2034",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"threeDSecure":{
"eci":"07"
},
"customParameters":{
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true"
},
"risk":{
"score":"100"
},
"timestamp":"2022-11-10 12:59:49.520+0000"
}
]
}Get transaction using your order reference
An order can involve multiple transactions (for example, PA, CP, 3D). You must include the merchantTransactionId in all transactions to serve as an order identifier.
Sample request:
curl -G https://sandbox-card.peachpayments.com/v3/query \
-d "merchantTransactionId=test123" \
-d "entityId=8a8294174b7ecb28014b9699220015ca" \
-H "Authorization: Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg="public Dictionary<string, dynamic> Request() {
Dictionary<string, dynamic> responseData;
string data="merchantTransactionId=test123" +
"&entityId=8a8294174b7ecb28014b9699220015ca";
string url = "https://sandbox-card.peachpayments.com/v3/query?" + data;
HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(url);
request.Method = "GET";
request.Headers["Authorization"] = "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=";
using (HttpWebResponse response = (HttpWebResponse)request.GetResponse())
{
Stream dataStream = response.GetResponseStream();
StreamReader reader = new StreamReader(dataStream);
var s = new JavaScriptSerializer();
responseData = s.Deserialize<Dictionary<string, dynamic>>(reader.ReadToEnd());
reader.Close();
dataStream.Close();
}
return responseData;
}
responseData = Request()["result"]["description"];import groovy.json.JsonSlurper
public static String request() {
def data = "merchantTransactionId=test123" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
def url = ("https://sandbox-card.peachpayments.com/v3/query?" + data).toURL()
def connection = url.openConnection()
connection.setRequestMethod("GET")
connection.setRequestProperty("Authorization","Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
def json = new JsonSlurper().parseText(connection.inputStream.text)
json
}
println request()private String request() throws IOException {
URL url = new URL("https://sandbox-card.peachpayments.com/v3/query?merchantTransactionId=test123 +
&entityId=8a8294174b7ecb28014b9699220015ca");
HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=");
int responseCode = conn.getResponseCode();
InputStream is;
if (responseCode >= 400) is = conn.getErrorStream();
else is = conn.getInputStream();
return IOUtils.toString(is);
}const https = require('https');
const querystring = require('querystring');
const request = async () => {
var path='/v3/query';
path += '?merchantTransactionId=test123';
path += '&entityId=8a8294174b7ecb28014b9699220015ca';
const options = {
port: 443,
host: 'sandbox-card.peachpayments.com',
path: path,
method: 'GET',
headers: {
'Authorization':'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
}
};
return new Promise((resolve, reject) => {
const postRequest = https.request(options, function(res) {
const buf = [];
res.on('data', chunk => {
buf.push(Buffer.from(chunk));
});
res.on('end', () => {
const jsonString = Buffer.concat(buf).toString('utf8');
try {
resolve(JSON.parse(jsonString));
} catch (error) {
reject(error);
}
});
});
postRequest.on('error', reject);
postRequest.end();
});
};
request().then(console.log).catch(console.error);function request() {
$url = "https://sandbox-card.peachpayments.com/v3/query";
$url .= "?merchantTransactionId=test123";
$url .= "&entityId=8a8294174b7ecb28014b9699220015ca";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
'Authorization:Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='));
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$responseData = curl_exec($ch);
if(curl_errno($ch)) {
return curl_error($ch);
}
curl_close($ch);
return $responseData;
}
$responseData = request();try:
from urllib.parse import urlencode
from urllib.request import build_opener, Request, HTTPHandler
from urllib.error import HTTPError, URLError
except ImportError:
from urllib import urlencode
from urllib2 import build_opener, Request, HTTPHandler, HTTPError, URLError
import json
def request():
url = "https://sandbox-card.peachpayments.com/v3/query"
url += '?merchantTransactionId=test123'
url += '&entityId=8a8294174b7ecb28014b9699220015ca'
try:
opener = build_opener(HTTPHandler)
request = Request(url, data=b'')
request.add_header('Authorization', 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=')
request.get_method = lambda: 'GET'
response = opener.open(request)
return json.loads(response.read())
except HTTPError as e:
return json.loads(e.read())
except URLError as e:
return e.reason
responseData = request()
print(responseData)require 'net/https'
require 'uri'
require 'json'
def request()
path = ("?merchantTransactionId=test123" +
"&entityId=8a8294174b7ecb28014b9699220015ca")
uri = URI.parse('https://sandbox-card.peachpayments.com/v3/query' + path)
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
res = http.request(req)
return JSON.parse(res.body)
end
puts request()def initialPayment : String = {
val url = "https://sandbox-card.peachpayments.com/v3/query"
url +="?merchantTransactionId=test123"
url +="&entityId=8a8294174b7ecb28014b9699220015ca"
val conn = new URL(url).openConnection()
conn match {
case secureConn: HttpsURLConnection => secureConn.setRequestMethod("GET")
case _ => throw new ClassCastException
}
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
conn.connect()
if (conn.getResponseCode() >= 400) {
return IOUtils.toString(conn.getErrorStream())
}
else {
return IOUtils.toString(conn.getInputStream())
}
}Public Function Request() As Dictionary(Of String, Object)
Dim url As String = "https://sandbox-card.peachpayments.com/v3/query" +
"?merchantTransactionId=test123" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
Dim req As WebRequest = WebRequest.Create(url)
req.Method = "GET"
req.Headers.Add("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
req.ContentType = "application/x-www-form-urlencoded"
Dim res As WebResponse = req.GetResponse()
Dim resStream = res.GetResponseStream()
Dim reader As New StreamReader(resStream)
Dim response As String = reader.ReadToEnd()
reader.Close()
resStream.Close()
res.Close()
Dim jss As New System.Web.Script.Serialization.JavaScriptSerializer()
Dim dict As Dictionary(Of String, Object) = jss.Deserialize(Of Dictionary(Of String, Object))(response)
Return dict
End Function
responseData = Request()("result")("description"){
"result":{
"code":"000.000.100",
"description":"successful request"
},
"buildNumber":"9092e7a6af8301accda2f9a3a38f743f907dadd5@2026-03-23 16:50:06 +0000",
"timestamp":"2026-03-26 19:58:24+0000",
"ndc":"8a8294174b7ecb28014b9699220015ca_ad2db63f9f054765bc636a5ccbc859bd",
"records":[
{
"id":"8ac7a4a1826e220001826e8edf47238d",
"paymentType":"DB",
"paymentBrand":"MASTER",
"amount":"7.00",
"currency":"EUR",
"descriptor":"2260.6850.2647 OPP_Channel",
"merchantTransactionId":"test123",
"result":{
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"clearingInstituteName":"Elavon-euroconex_UK_Test"
},
"card":{
"bin":"529741",
"last4Digits":"6058",
"holder":"Michael Hello",
"expiryMonth":"12",
"expiryYear":"2026",
"issuer":{
"bank":"RIYAD BANK",
"website":"HTTP://WWW.RIYADBANK.COM"
},
"type":"DEBIT",
"level":"STANDARD",
"country":"SA",
"maxPanLength":"16",
"binType":"PERSONAL",
"regulatedFlag":"N"
},
"customer":{
"givenName":"Michael",
"surname":"George",
"merchantCustomerId":"myshopperid12",
"birthDate":"1993-02-18",
"email":"[email protected]",
"ip":"64.210.101.250",
"ipCountry":"GB",
"browserFingerprint":{
"value":"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;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"
}
},
"billing":{
"street1":"Grillparzerstr 18",
"city":"Muenchen",
"state":"BY",
"postcode":"81675",
"country":"DE"
},
"customParameters":{
"SHOPPER_EndToEndIdentity":"d534d77a5c0ca58a6e5dfedd328fc0e3d5a1e6367b2a35b3e986f58bce154afe",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true"
},
"risk":{
"score":"0"
},
"timestamp":"2022-08-05 15:10:33.330+0000"
}
]
}Get transactions for a specified period
To retrieve transactions in a specific period, use date.from and date.to. You can also limit results using limit (minimum: 100, maximum: 500).
If the request omits the limit parameter, it defaults to 100. Pagination applies depending on the number of results.
You can also filter the result using the paymentTypes and paymentMethods filtering options.
The request must include either merchantTransactionId or date.to/date.from parameters. See the API reference for details.
Sample request:
curl -G https://sandbox-card.peachpayments.com/v3/query \
-d "date.from=2023-01-01 00:00:00" \
-d "date.to=2023-01-01 01:00:00" \
-d "limit=20" \
-d "entityId=8a8294174b7ecb28014b9699220015ca" \
-H "Authorization: Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg="public Dictionary<string, dynamic> Request() {
Dictionary<string, dynamic> responseData;
string data="date.from=2023-01-01 00:00:00" +
"&date.to=2023-01-01 01:00:00" +
"&limit=20" +
"&entityId=8a8294174b7ecb28014b9699220015ca";
string url = "https://sandbox-card.peachpayments.com/v3/query?" + data;
HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(url);
request.Method = "GET";
request.Headers["Authorization"] = "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=";
using (HttpWebResponse response = (HttpWebResponse)request.GetResponse())
{
Stream dataStream = response.GetResponseStream();
StreamReader reader = new StreamReader(dataStream);
var s = new JavaScriptSerializer();
responseData = s.Deserialize<Dictionary<string, dynamic>>(reader.ReadToEnd());
reader.Close();
dataStream.Close();
}
return responseData;
}
responseData = Request()["result"]["description"];import groovy.json.JsonSlurper
public static String request() {
def data = "date.from=2023-01-01 00:00:00" +
"&date.to=2023-01-01 01:00:00" +
"&limit=20" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
def url = ("https://sandbox-card.peachpayments.com/v3/query?" + data).toURL()
def connection = url.openConnection()
connection.setRequestMethod("GET")
connection.setRequestProperty("Authorization","Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
def json = new JsonSlurper().parseText(connection.inputStream.text)
json
}
println request()private String request() throws IOException {
URL url = new URL("https://sandbox-card.peachpayments.com/v3/query?date.from=2023-01-01 00:00:00 +
&date.to=2023-01-01 01:00:00 +
&limit=20 +
&entityId=8a8294174b7ecb28014b9699220015ca");
HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=");
int responseCode = conn.getResponseCode();
InputStream is;
if (responseCode >= 400) is = conn.getErrorStream();
else is = conn.getInputStream();
return IOUtils.toString(is);
}const https = require('https');
const querystring = require('querystring');
const request = async () => {
var path='/v3/query';
path += '?date.from=2023-01-01 00:00:00';
path += '&date.to=2023-01-01 01:00:00';
path += '&limit=20';
path += '&entityId=8a8294174b7ecb28014b9699220015ca';
const options = {
port: 443,
host: 'sandbox-card.peachpayments.com',
path: path,
method: 'GET',
headers: {
'Authorization':'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
}
};
return new Promise((resolve, reject) => {
const postRequest = https.request(options, function(res) {
const buf = [];
res.on('data', chunk => {
buf.push(Buffer.from(chunk));
});
res.on('end', () => {
const jsonString = Buffer.concat(buf).toString('utf8');
try {
resolve(JSON.parse(jsonString));
} catch (error) {
reject(error);
}
});
});
postRequest.on('error', reject);
postRequest.end();
});
};
request().then(console.log).catch(console.error);function request() {
$url = "https://sandbox-card.peachpayments.com/v3/query";
$url .= "?date.from=2023-01-01 00:00:00";
$url .= "&date.to=2023-01-01 01:00:00";
$url .= "&limit=20";
$url .= "&entityId=8a8294174b7ecb28014b9699220015ca";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
'Authorization:Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='));
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$responseData = curl_exec($ch);
if(curl_errno($ch)) {
return curl_error($ch);
}
curl_close($ch);
return $responseData;
}
$responseData = request();try:
from urllib.parse import urlencode
from urllib.request import build_opener, Request, HTTPHandler
from urllib.error import HTTPError, URLError
except ImportError:
from urllib import urlencode
from urllib2 import build_opener, Request, HTTPHandler, HTTPError, URLError
import json
def request():
url = "https://sandbox-card.peachpayments.com/v3/query"
url += '?date.from=2023-01-01 00:00:00'
url += '&date.to=2023-01-01 01:00:00'
url += '&limit=20'
url += '&entityId=8a8294174b7ecb28014b9699220015ca'
try:
opener = build_opener(HTTPHandler)
request = Request(url, data=b'')
request.add_header('Authorization', 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=')
request.get_method = lambda: 'GET'
response = opener.open(request)
return json.loads(response.read())
except HTTPError as e:
return json.loads(e.read())
except URLError as e:
return e.reason
responseData = request()
print(responseData)require 'net/https'
require 'uri'
require 'json'
def request()
path = ("?date.from=2023-01-01 00:00:00" +
"&date.to=2023-01-01 01:00:00" +
"&limit=20" +
"&entityId=8a8294174b7ecb28014b9699220015ca")
uri = URI.parse('https://sandbox-card.peachpayments.com/v3/query' + path)
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
res = http.request(req)
return JSON.parse(res.body)
end
puts request()def initialPayment : String = {
val url = "https://sandbox-card.peachpayments.com/v3/query"
url +="?date.from=2023-01-01 00:00:00"
url +="&date.to=2023-01-01 01:00:00"
url +="&limit=20"
url +="&entityId=8a8294174b7ecb28014b9699220015ca"
val conn = new URL(url).openConnection()
conn match {
case secureConn: HttpsURLConnection => secureConn.setRequestMethod("GET")
case _ => throw new ClassCastException
}
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
conn.connect()
if (conn.getResponseCode() >= 400) {
return IOUtils.toString(conn.getErrorStream())
}
else {
return IOUtils.toString(conn.getInputStream())
}
}Public Function Request() As Dictionary(Of String, Object)
Dim url As String = "https://sandbox-card.peachpayments.com/v3/query" +
"?date.from=2023-01-01 00:00:00" +
"&date.to=2023-01-01 01:00:00" +
"&limit=20" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
Dim req As WebRequest = WebRequest.Create(url)
req.Method = "GET"
req.Headers.Add("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
req.ContentType = "application/x-www-form-urlencoded"
Dim res As WebResponse = req.GetResponse()
Dim resStream = res.GetResponseStream()
Dim reader As New StreamReader(resStream)
Dim response As String = reader.ReadToEnd()
reader.Close()
resStream.Close()
res.Close()
Dim jss As New System.Web.Script.Serialization.JavaScriptSerializer()
Dim dict As Dictionary(Of String, Object) = jss.Deserialize(Of Dictionary(Of String, Object))(response)
Return dict
End Function
responseData = Request()("result")("description"){
"result":{
"code":"000.000.100",
"description":"successful request"
},
"buildNumber":"9092e7a6af8301accda2f9a3a38f743f907dadd5@2026-03-23 16:50:06 +0000",
"timestamp":"2026-03-26 19:59:05+0000",
"ndc":"8a8294174b7ecb28014b9699220015ca_66696c474bdc4b06a03121f1a61dab80",
"records":[
{
"id":"8ac7a4a0856290ba01856ad6026c7997",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"6575.7964.0477 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad602ad1619",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"657579640477",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:08.442+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a18562871c01856ad602c91aab",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"1369.4971.2541 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad603ec13e8",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"136949712541",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:08.763+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a18562871c01856ad62d651aec",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"7897.8474.1533 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad62da6161b",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"789784741533",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:19.443+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a2856290bb01856ad62e706f20",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"0942.6428.0733 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad62eaf13ea",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"094264280733",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:19.707+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a2856290bb01856ad658b06f88",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"9725.8509.2765 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad6590a161d",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"972585092765",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:30.561+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a0856290ba01856ad659707a50",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"1250.0369.5773 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad659ba13ec",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"125003695773",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:30.729+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a49f8562871b01856ad684141d6e",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"9831.9157.0077 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad68467161f",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"983191570077",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:41.657+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a18562871c01856ad6841c1b89",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"1455.3964.7133 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad6848f13ee",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"145539647133",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:41.703+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a0856290ba01856ad6b0327b0e",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"5276.5687.9773 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad6b07b1621",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"527656879773",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:52.936+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a18562871c01856ad6b0ef1bf7",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"6093.9611.5101 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad6b13313f0",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"609396115101",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:58:53.123+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a49f8562871b01856ad6e2331e48",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"2229.8235.8685 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad6e27b1623",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"222982358685",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:05.736+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a18562871c01856ad6e2a41c79",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"0940.0003.9581 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad6e2e413f2",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"094000039581",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:05.844+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a18562871c01856ad713d51d0a",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"0102.4817.7309 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad714111625",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"010248177309",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:18.429+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a2856290bb01856ad713d97126",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"0019.2248.3869 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad7141713f4",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"001922483869",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:18.435+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a2856290bb01856ad73e677192",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"8093.7633.5517 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad73eac1627",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"809376335517",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:29.337+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a0856290ba01856ad73f2e7c80",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"2441.8903.8237 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad73f6d13f6",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"244189038237",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:29.529+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a2856290bb01856ad76a5171f7",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"5001.3869.0205 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad76ab41629",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"500138690205",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:40.627+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a0856290ba01856ad76b177cec",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"0723.9034.6397 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad76bc513f8",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"072390346397",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:40.902+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a49f8562871b01856ad7964a1fc5",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"8328.6771.4717 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856ad7969413fa",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"832867714717",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:51.864+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a0856290ba01856ad7964c7d4b",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"1239.2995.3949 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856ad7968d162b",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"123929953949",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:59:51.832+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
}
]
}How to use pagination
For large result sets, use pagination by specifying the page number with pageNo. The system sets the page size to 100 and ignores the limit parameter.
In all requests with pagination, the system ignores the limit option and sets the page size to 100 by default.
Sample request:
curl -G https://sandbox-card.peachpayments.com/v3/query \
-d "date.from=2023-01-01 00:00:00" \
-d "date.to=2023-01-01 01:00:00" \
-d "pageNo=2" \
-d "entityId=8a8294174b7ecb28014b9699220015ca" \
-H "Authorization: Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg="public Dictionary<string, dynamic> Request() {
Dictionary<string, dynamic> responseData;
string data="date.from=2023-01-01 00:00:00" +
"&date.to=2023-01-01 01:00:00" +
"&pageNo=2" +
"&entityId=8a8294174b7ecb28014b9699220015ca";
string url = "https://sandbox-card.peachpayments.com/v3/query?" + data;
HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(url);
request.Method = "GET";
request.Headers["Authorization"] = "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=";
using (HttpWebResponse response = (HttpWebResponse)request.GetResponse())
{
Stream dataStream = response.GetResponseStream();
StreamReader reader = new StreamReader(dataStream);
var s = new JavaScriptSerializer();
responseData = s.Deserialize<Dictionary<string, dynamic>>(reader.ReadToEnd());
reader.Close();
dataStream.Close();
}
return responseData;
}
responseData = Request()["result"]["description"];import groovy.json.JsonSlurper
public static String request() {
def data = "date.from=2023-01-01 00:00:00" +
"&date.to=2023-01-01 01:00:00" +
"&pageNo=2" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
def url = ("https://sandbox-card.peachpayments.com/v3/query?" + data).toURL()
def connection = url.openConnection()
connection.setRequestMethod("GET")
connection.setRequestProperty("Authorization","Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
def json = new JsonSlurper().parseText(connection.inputStream.text)
json
}
println request()private String request() throws IOException {
URL url = new URL("https://sandbox-card.peachpayments.com/v3/query?date.from=2023-01-01 00:00:00 +
&date.to=2023-01-01 01:00:00 +
&pageNo=2 +
&entityId=8a8294174b7ecb28014b9699220015ca");
HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=");
int responseCode = conn.getResponseCode();
InputStream is;
if (responseCode >= 400) is = conn.getErrorStream();
else is = conn.getInputStream();
return IOUtils.toString(is);
}const https = require('https');
const querystring = require('querystring');
const request = async () => {
var path='/v3/query';
path += '?date.from=2023-01-01 00:00:00';
path += '&date.to=2023-01-01 01:00:00';
path += '&pageNo=2';
path += '&entityId=8a8294174b7ecb28014b9699220015ca';
const options = {
port: 443,
host: 'sandbox-card.peachpayments.com',
path: path,
method: 'GET',
headers: {
'Authorization':'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
}
};
return new Promise((resolve, reject) => {
const postRequest = https.request(options, function(res) {
const buf = [];
res.on('data', chunk => {
buf.push(Buffer.from(chunk));
});
res.on('end', () => {
const jsonString = Buffer.concat(buf).toString('utf8');
try {
resolve(JSON.parse(jsonString));
} catch (error) {
reject(error);
}
});
});
postRequest.on('error', reject);
postRequest.end();
});
};
request().then(console.log).catch(console.error);function request() {
$url = "https://sandbox-card.peachpayments.com/v3/query";
$url .= "?date.from=2023-01-01 00:00:00";
$url .= "&date.to=2023-01-01 01:00:00";
$url .= "&pageNo=2";
$url .= "&entityId=8a8294174b7ecb28014b9699220015ca";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
'Authorization:Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='));
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);// this should be set to true in production
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$responseData = curl_exec($ch);
if(curl_errno($ch)) {
return curl_error($ch);
}
curl_close($ch);
return $responseData;
}
$responseData = request();try:
from urllib.parse import urlencode
from urllib.request import build_opener, Request, HTTPHandler
from urllib.error import HTTPError, URLError
except ImportError:
from urllib import urlencode
from urllib2 import build_opener, Request, HTTPHandler, HTTPError, URLError
import json
def request():
url = "https://sandbox-card.peachpayments.com/v3/query"
url += '?date.from=2023-01-01 00:00:00'
url += '&date.to=2023-01-01 01:00:00'
url += '&pageNo=2'
url += '&entityId=8a8294174b7ecb28014b9699220015ca'
try:
opener = build_opener(HTTPHandler)
request = Request(url, data=b'')
request.add_header('Authorization', 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=')
request.get_method = lambda: 'GET'
response = opener.open(request)
return json.loads(response.read())
except HTTPError as e:
return json.loads(e.read())
except URLError as e:
return e.reason
responseData = request()
print(responseData)require 'net/https'
require 'uri'
require 'json'
def request()
path = ("?date.from=2023-01-01 00:00:00" +
"&date.to=2023-01-01 01:00:00" +
"&pageNo=2" +
"&entityId=8a8294174b7ecb28014b9699220015ca")
uri = URI.parse('https://sandbox-card.peachpayments.com/v3/query' + path)
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg='
res = http.request(req)
return JSON.parse(res.body)
end
puts request()def initialPayment : String = {
val url = "https://sandbox-card.peachpayments.com/v3/query"
url +="?date.from=2023-01-01 00:00:00"
url +="&date.to=2023-01-01 01:00:00"
url +="&pageNo=2"
url +="&entityId=8a8294174b7ecb28014b9699220015ca"
val conn = new URL(url).openConnection()
conn match {
case secureConn: HttpsURLConnection => secureConn.setRequestMethod("GET")
case _ => throw new ClassCastException
}
conn.setRequestProperty("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
conn.connect()
if (conn.getResponseCode() >= 400) {
return IOUtils.toString(conn.getErrorStream())
}
else {
return IOUtils.toString(conn.getInputStream())
}
}Public Function Request() As Dictionary(Of String, Object)
Dim url As String = "https://sandbox-card.peachpayments.com/v3/query" +
"?date.from=2023-01-01 00:00:00" +
"&date.to=2023-01-01 01:00:00" +
"&pageNo=2" +
"&entityId=8a8294174b7ecb28014b9699220015ca"
Dim req As WebRequest = WebRequest.Create(url)
req.Method = "GET"
req.Headers.Add("Authorization", "Bearer OGE4Mjk0MTc0YjdlY2IyODAxNGI5Njk5MjIwMDE1Y2N8c3k2S0pzVDg=")
req.ContentType = "application/x-www-form-urlencoded"
Dim res As WebResponse = req.GetResponse()
Dim resStream = res.GetResponseStream()
Dim reader As New StreamReader(resStream)
Dim response As String = reader.ReadToEnd()
reader.Close()
resStream.Close()
res.Close()
Dim jss As New System.Web.Script.Serialization.JavaScriptSerializer()
Dim dict As Dictionary(Of String, Object) = jss.Deserialize(Of Dictionary(Of String, Object))(response)
Return dict
End Function
responseData = Request()("result")("description"){
"result":{
"code":"000.000.100",
"description":"successful request"
},
"buildNumber":"9092e7a6af8301accda2f9a3a38f743f907dadd5@2026-03-23 16:50:06 +0000",
"timestamp":"2026-03-26 19:59:58+0000",
"ndc":"8a8294174b7ecb28014b9699220015ca_2761c30ce28c49e782d9f4241a45e4ee",
"records":[
{
"id":"8ac7a4a18562871c01856aa8e20f7f9f",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"6684.4671.3501 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856aa8e25412f4",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"668446713501",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:08:51.041+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a0856290ba01856aa8e2ce5f96",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"8997.0418.6525 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856aa8e31110bf",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"899704186525",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:08:51.229+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a18562871c01856aa8ed267fc9",
"registrationId":"8a82944966540bf40166589b867e3da7",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"17.00",
"currency":"EUR",
"descriptor":"9776.8435.8813 OPP_Channel",
"recurringType":"REPEATED",
"result":{
"code":"000.100.112",
"description":"Request successfully processed in 'Merchant in Connector Test Mode'"
},
"resultDetails":{
"AcquirerResponse":"00",
"reconciliationId":"977684358813",
"clearingInstituteName":"Elavon-euroconex_UK_Test",
"ConnectorTxID1":"327633",
"ConnectorTxID3":"26K00247"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Jane Jones",
"expiryMonth":"09",
"expiryYear":"2030",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"custom_disable3DSecure":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"MIT"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:09:00.274+0000",
"standingInstruction":{
"source":"MIT",
"type":"RECURRING",
"mode":"REPEATED",
"recurringType":"SUBSCRIPTION"
}
},
{
"id":"8ac7a4a2856290bb01856aa90e6055f9",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"4904.8187.0493 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856aa90ead12fa",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"490481870493",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:09:02.395+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a49f8562871b01856aa90eae02d9",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"4667.2480.8349 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856aa90efb10c5",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"466724808349",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:09:02.471+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a2856290bb01856aa939845655",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"5420.2147.8045 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856aa939c110c7",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"542021478045",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:09:13.423+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a49f8562871b01856aa93997032c",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"3980.0533.1613 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b38560c34901856aa939da12fe",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"398005331613",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:09:13.446+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a18562871c01856aa9661c0154",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"5567.7756.3805 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856aa9667b10d0",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"556777563805",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:09:24.871+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a0856290ba01856aa967a360ca",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"9388.9576.3101 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856aa967e510d2",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"938895763101",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
"risk":{
"score":"100"
},
"timestamp":"2023-01-01 00:09:25.233+0000",
"standingInstruction":{
"source":"CIT",
"type":"UNSCHEDULED",
"mode":"REPEATED",
"initialTransactionId":"123456789123456"
}
},
{
"id":"8ac7a4a2856290bb01856aa992a057ff",
"registrationId":"8ac7a49f852afebf01852b0fb0ee36c3",
"paymentType":"DB",
"paymentBrand":"VISA",
"amount":"123.00",
"currency":"GBP",
"descriptor":"1211.1468.3037 OPP_Channel",
"result":{
"avsResponse":"N",
"cvvResponse":"M",
"code":"000.100.110",
"description":"Request successfully processed in 'Merchant in Integrator Test Mode'"
},
"resultDetails":{
"ExtendedDescription":"Approved or completed successfully",
"clearingInstituteName":"Worldpay CI",
"ConnectorTxID1":"8ac7a0b48560ceee01856aa992e510de",
"schemeReferenceData":"123456789123456",
"connectorId":"0AC6F4",
"ConnectorTxID3":"31470009",
"ConnectorTxID2":"0AC6F4#123456789123456#W10VVISA0AC6F4 000000000002 #",
"AcquirerResponse":"00",
"reconciliationId":"121114683037",
"CardholderInitiatedTransactionID":"123456789123456"
},
"card":{
"bin":"420000",
"last4Digits":"0000",
"holder":"Pavel Aborilov",
"expiryMonth":"12",
"expiryYear":"2028",
"issuer":{
"bank":"JPMORGAN CHASE BANK, N.A.",
"website":"HTTPS://WWW.CHASE.COM/",
"phone":"+ (1) 212-270-6000"
},
"type":"CREDIT",
"country":"US",
"maxPanLength":"16",
"regulatedFlag":"Y"
},
"customParameters":{
"StandingInstructionAPI":"true",
"CTPE_DESCRIPTOR_TEMPLATE":"",
"FEEDZAI_DATA_FEED":"true",
"StoredCredentialType":"CIT_STORED"
},
[...]
